%define name tvheadend
%define version 4.0.9
%define release %mkrel 1

Summary: Tvheadend TV streaming server
Name:    %{name}
Version: %{version}
Release: %{release}
Summary: Tvheadend TV streaming server
License: GPLv3
Group: Video
URL: https://tvheadend.org/projects/tvheadend/wiki/WikiStart
Source0: https://github.com/tvheadend/tvheadend/%name-%version.tar.xz
Source1: http://linuxtv.org/hg/dvb-apps/archive/tip.tar.bz2
Source2: tvheadend_init.tar.gz
Source3: %{name}.desktop
Source4: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: %{_lib}avahi-glib-devel
BuildRequires: %{_lib}openssl-devel 
BuildRequires: dvb-apps-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: git
Requires: pwgen openssl zlib1 ffmpeg dvb-apps bzip2

%description
Tvheadend is a TV streaming server for Linux supporting DVB-S, 
DVB-S2, DVB-C, DVB-T, ATSC, IPTV, and Analog video (V4L) as input sources.
It also comes with a powerful and easy to use web interface both used for
configuration and day-to-day operations, such as searching the EPG and
scheduling recordings.

%prep
%setup -qn %name-%version
tar xf %{S:1}

%build
%configure2_5x --release --prefix=/usr --libdir=%{_libdir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
mkdir -p %buildroot/%_sysconfdir/init.d/
install -m 644 "%{S:2}" "%buildroot/%_sysconfdir/init.d/%name"

# desktop file
install -d -m0755 %{buildroot}%{_datadir}/applications
install -D -m0644 %{S:3} %{buildroot}%{_datadir}/applications/%{name}.desktop

# Install icon
for res in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96; do \
  %{__mkdir_p} %{buildroot}/%{_datadir}/icons/hicolor/${res}/apps
  convert -size 128x128 %{S:4} -resize ${res} %{buildroot}%{_datadir}/icons/hicolor/${res}/apps/%{name}.png
done;

%post
groupadd -f -r %{name} >/dev/null 2>&1
useradd -s /sbin/nologin -c "tvheadend" -M -r %{name} -g %{name} -G video >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc docs/header.html docs/docresources docs/html
%_bindir/tvheadend
%_datadir/tvheadend
%_mandir/man1/tvheadend.1*
%_sysconfdir/init.d/tvheadend
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Sat Dec 10 2016 adrianomorselli <adrianomorselli> 4.0.9-1uplos2016
- rebuild

* Tue Aug 09 2016 TerryN <terryn94 at gmail.com> 4.0.9-1pclos2016
- 4.0.9

* Tue Jun 02 2015 pinoc <vogtpet at gmail.com> 4.0.4-1pclos2015
- 4.0.4

* Fri Dec 26 2014 pinoc <vogtpet at gmail.com> 3.9-2pclos2015
- latest version 3.5.139 taken from OpenSuse
- added Nilesat101 and desktop file
- updated BR and R

* Sun Apr 06 2014 Ken <lxgator at gmail.com> 3.9-1pclos2014
- 3.9

* Fri May 03 2013 Ken <lxgator at gmail.com> 3.4-1pclos2013
- 3.4

* Tue Mar 12 2013 Ken <lxgator@gmail.com> 3.2.18-1pclos2013
- 3.2.18

* Wed Nov 28 2012 Ken <lxgator@gmail.com> 3.0-2pclos2012
- rebuild & give the user full access
- fixed boot hanging

* Sun Sep 23 2012 Neal <nealbrks0 at gmail dot com> 3.0-1pclos2012
- process

* Sat Sep 22 2012 Ken <lxgator@gmail.com> 3.0-1pclos2012
- initial build
